Skip to content

List project jobs​

GET
/api/v1/projects/{project_id}/jobs

Returns up to 50 most recent jobs for a project, optionally filtered by status.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Path Parameters

project_id*
Type
string
Required
Format
"uuid"

Query Parameters

status

Responses​

Successful Response

application/json
JSON
[
{
"id": "string",
"job_type": "string",
"status": "string",
"progress_current": 0,
"progress_total": 0,
"created_at": "string",
"started_at": "string",
"completed_at": "string",
"error": "string"
}
]

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

XC AI Content Automation